Opened 13 years ago

Closed 13 years ago

Last modified 13 years ago

#3600 closed defect (outdated)

LURE: Crash when speaking with the dragon (German version)

Reported by: SF/fragenius Owned by: dreammaster
Priority: normal Component: Engine: Lure
Keywords: Cc:
Game: Lure of the Temptress

Description

@dreammaster: now with attachment

sorry my english,

I need help vor Lure of Temptress/ German vision. If I Speak to the dragon, the Game crashed/ closed.

Crash is at the same point , if I use the ScummVM for WinCE or for Win32. (lastest visions)

I have saved the Game just go in Dragons Cave.

To reproduce the problematic , load the saved game and speak to dragon.

Thank you for help, happy to see the end of the game , i have played any hours.

fragenius

Ticket imported from: #1880797. Ticket imported from: bugs/3600.

Attachments (2)

lure.002 (14.5 KB ) - added by SF/fragenius 13 years ago.
just enter the dragon cave
lure.zip (193.5 KB ) - added by dreammaster 13 years ago.
Lure.dat version 0.29 with a version Id of 0.28

Download all attachments as: .zip

Change History (17)

by SF/fragenius, 13 years ago

Attachment: lure.002 added

just enter the dragon cave

comment:1 by SF/fragenius, 13 years ago

Priority: normalhigh

comment:2 by bluegr, 13 years ago

Renamed title, fragenius don't change bug priorities please

There is also another bug report about this (bug #1880839) which I've closed, as the information provided here is more detailed

comment:3 by bluegr, 13 years ago

Owner: set to dreammaster
Priority: highnormal
Summary: Chrash if speak to dragon/ germanLURE: Crash when speaking with the dragon (German version)

comment:4 by dreammaster, 13 years ago

Resolution: outdated
Status: newclosed

comment:5 by dreammaster, 13 years ago

I'm presuming that this is the same bug that was fixed shortly after the 0.11 release - you'll just need a copy of the latest daily build and a fresh copy of the lure.dat file.

comment:6 by SF/fragenius, 13 years ago

hello dreammaster,

thank you for answer, but I use release 0.11 and the freshest lure.dat file. The bug is the same in DOS/Windows and winCE version.

fragenius

comment:7 by SF/fragenius, 13 years ago

Status: closednew

comment:8 by SF/christophfr, 13 years ago

I'm the one who submitted the other bug report; after lookig if the bug was already reported, I did something else and forgot reloading the page afterwards, so I created a duplicate, I'm sorry.

However, I've got additional information. This is printed when starting scummvm from an xterm, loading my saved game and then talking to the dragon:

[...] Looking for lure Trying to start game 'Lure of the Temptress' Invalid talk index 0 specified for hotspot 434h!

If this is the bug already fixed in the daily build, this would be difficult to test for me, because I'm using Debian here, so I'd have to compile it or install it somewhere on Windows for testing. My "lure.dat" has been downloaded on January 24th, 4:31:30 pm CET.

by dreammaster, 13 years ago

Attachment: lure.zip added

Lure.dat version 0.29 with a version Id of 0.28

comment:9 by dreammaster, 13 years ago

The bugfix for the german converations was done in the lure.dat file, but unfortunately you just can't use the latest lure.dat file with the release version, because I incremented the version number to avoid confusing the different versions.

What I've done is temporarily recompile the create_lure tool to create a 0.29 version lure.dat file with a version Id of 0.28, and attached it to this message. You should be able to use this version with the 0.11 release to get past the dragon and complete the game.
File Added: lure.zip

comment:10 by dreammaster, 13 years ago

Status: newclosed

comment:11 by SF/fragenius, 13 years ago

hmmm,

now I have download and change the lure.dat. I use "scummVm 0.11.0 winZipfile"(fresh downloadet) with the new lure.dat( 28.1.2008 637.824byte). Now I start Lure/German vision from Scumm-site (fresh downloadet)und resume the game with the lure.002(old). I use the "trank" and speak to dreagon and the programm is at the same point crashed. It´s my mystake?

fragenius

comment:12 by SF/fragenius, 13 years ago

Status: closednew

comment:13 by dreammaster, 13 years ago

You might want to make sure that the installer hasn't installed a copy of the older lure.dat, and is using that instead of the fresh one you got from this message. Otherwise, the only thing I can suggest is that you get a copy of the Win32 *daily* SVN build of 0.12 and use that and the newer 0.29 lure.dat on Windows.

There'll also be a 0.11.1 release in a few weeks, so you could also wait for that.

comment:14 by dreammaster, 13 years ago

Status: newclosed

comment:15 by SF/fragenius, 13 years ago

now it works and I play to end. I have removed and add the game.

Thank you

Note: See TracTickets for help on using tickets.